Home / Update / 0.14.0 will cut support for older devices

0.14.0 will cut support for older devices

Minecraft Pocket Edition latest update 0.14.0 was released on February 17th, 2016. It adds loads of exciting features to your Minecraft PE but that means a lot of poor sods won’t get to enjoy it because of their stone-aged phones. Minecraft 0.14.0 will cut support for older devices.

0.14.0 will cut support for older device

System Requirement

No hard feelings for you grandpa devices out there, you had your time but now it’s time for the kids to take a crack at life, or Minecraft. Your device must meet the following requirement in order to play MCPE 0.14.0

Android

Version: Android 4.2 “Jelly Bean” (MCPE 0.11.1 & under require Android 3.0 and up; MCPE 0.7.2 & under require Android 2.3.0 and up)
Processor: Any with support of floating-point calculations (“ARM-v7a code”)
Graphics: Any with support of OpenGL ES 2.0
Storage: 12.5 MB
Supported device: It would take days to list which one works and which doesn’t, so click here to find your device and see if it can run MCPE 0.14.0

iOS

Version: iOS 7
Processor: 600 MHz ARMv7 Cortex CPU, 800 MHz Apple A4 CPU
Storage: 9.5 MB
Supported device: iPod Touch 5g, 6g; iPad Mini 1,2,3,4; iPhone 4s,5,5s, iPhone 6, 6+ | 6s, 6+

Windows Phone

Version: Windows 8.1 or later
Processor: 1.2 GHz or faster
Storage: 14.0 MB
Supported device: Most device that has 1.2 GHz or faster processor

0.14.0 will cut support for older devices

While it’s pretty clear cut which iOS and Windows device cannot run MCPE 0.14.0, some Android devices could run the game at a horrific experience. To better run the game on “low-end” devices, here are a few tips to make your gameplay more enjoyable:

  • Run the game at full battery, or charging
  • Familiarize yourself with the controls before playing on servers. Lags are inevitable.
  • Tap and hold an item in the hotbar to drop it.
  • Free up storage also helps for a smoother gameplay.

0.14.0 will cut support for older devices. If you find your Minecraft experience to be laggier than you would have liked, it would be a good time to get a new device because 0.15.0 will add more device to that list. Subscribe to us to know when your device become obsolete.

Leave a Reply

Your email address will not be published. Required fields are marked *